<head>
  <!-- Manda a traer el javascript para validar el formulario -->
   <script src="<?php echo base_url().'assets/dist/js/CifrasEnLetras.js'?>" type="text/javascript"></script>
  <script type="text/javascript" src="<?php echo base_url()?>assets/dist/js/site.js"></script>
   <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/validacion.css'?>">
  <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">
</head>
<div id="page-content-wrapper">
<!-- Keep all page content within the page-content inset div! -->
<div class="page-content inset">
<div class="row">
<div class="col-md-12">

<body>
    <div class='col-md-12 botones'>
        <button type="button" class="btn btn-danger boton"  id='imprime' data-toggle="tooltip" data-placement="bottom" title="Imprimir ticket"> <span class='glyphicon glyphicon-print'> </span> <span class="contraer"> Imprimir ticket </span></button> &nbsp
        <button  type="application/pdf" class="btn btn-danger boton"  id='descarga' data-toggle="tooltip" data-placement="bottom" title="Guardar ticket"> <span class='glyphicon glyphicon-download-alt'> </span> <span class="contraer"> Guardar ticket </span>  </button>
    </div>
</body>
</div>
</div>
</div>
</div>

<script>
  window.addEventListener( 'load', function( event )
  {//Inicia windows.load
    var botonImprimir=document.querySelector('#imprime');
    var botonDescargar=document.querySelector('#descarga');
    botonImprimir.addEventListener('click', function(e)
    {
      imprimir();
    });
    botonDescargar.addEventListener('click', function(e)
    {
      location.href ="<?php echo base_url();?>pagos/franquiciatario/PagosF/generaTicketPdf/<?=$id?>/<?=$id2?>/<?=$numPago?>/<?=$pago?>";
      // var link = document.createElement('a');
      //     link.target = '_blank';
      //     link.href = "<?php echo base_url();?>pagos/franquiciatario/PagosF/generaTicketPdf/<?php echo $id?>/<?php echo $numPago?>/<?php echo $pago?>";;
      //     document.body.appendChild(link); // Required for Firefox
      //     link.click();
      //     link.remove(); 
      setTimeout(() => {
        location.href ="<?php echo base_url();?>pagos/franquiciatario/pagosF/UltimasVentas";
      }, 10000);
    });
  });//Fin load
  function imprimir()
  {
    var mostrarDireccion='<?php echo $datosFranquiciaTicket->MostrarDireccionFranquicia;?>';
    var fila =  '';
        fila += '<div class="logo-empresa">';
        fila += '<img src="<?php echo base_url().'assets/dist/img/logo.png'?>" alt="Italian Trulli">';
        fila += '</div>';
        fila += '<div class="datos">';
        fila += '<div class="nombre-empresa-ticket"><?php echo $datosFranquiciaTicket->NombreFranquicia?></div>';
        if ('<?php echo $datosFranquiciaTicket->IdFranquicias?>'!=16) { //Franquicia de Tampico
        fila += '<div class="razon-empresa-ticket">R.S:<?php echo $datosFranquiciaTicket->RazonSocial?></div>';
        }
         fila += '<div class="regimen-empresa-ticket"><?php echo $datosFranquiciaTicket->RegimenFiscal?></div>';
        fila += '<div class="rfc-empresa-ticket">RFC: <?php echo $datosFranquiciaTicket->RFC?></div>';
        fila += '<div class="domicilio-empresa-ticket"><?php echo $datosFranquiciaTicket->DomicilioFiscal;?>CP: <?php echo $datosFranquiciaTicket->CP;?></div>';
        if(mostrarDireccion==1){
          fila += '<div class="domicilio-empresa-ticket">SUCURSAL: <?php echo $datosFranquiciaTicket->DomicilioFranquicia;?></div>';
        }
        fila += '</div>';
        fila += '<div class="datos-dos">';     
        fila += '<div class="nombre-cliente-ticket">Folio:<?php echo $datosTicket['folioVenta']?></div>';  
        fila += '<div class="nombre-cliente-ticket">Folio de pago:<?php echo $datosTicket['folio']?></div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Fecha de pago:<?php echo $datosTicket['fechaPago']?></div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Cliente: <?php echo $datosTicket['cliente']?></div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Concepto: <?php echo $datosTicket['concepto']?></div>';
        fila += '</div>';
        fila += '<div class="lista-comprada">';
        fila += '<thead>';
        fila += '<tr>';

        fila +='</thead>';
        fila +='<tbody>';
        fila += '<table class="table table-striped">';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>';
        fila += '<td class="total-abonado">Abonado:</td>';  
        fila += '<td class="total-abonado">$ <?php echo $datosTicket['abonado']?></td>';
        fila +=  '<tr class="total-cuenta">'; 
        fila += '<td class="total-ticket"><br></td>';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>';  
        fila += '<td class="total-ticket">Total:</td>';  
        fila += '<td class="total-ticket">$ <?php echo $datosTicket['total']?></td>';  
        fila +=  '</tr>';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">A cuenta:</td>';  
        fila += '<td class="total-ticket">$ <?php echo $datosTicket['aCuenta']?></td>';  
        fila +=  '</tr>';
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Restan:</td>';  
        fila += '<td class="total-ticket">$ <?php echo $datosTicket['restan']?></td>';  
        fila +=  '</tr>';

        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Pago en</td>';  
        fila += '<td class="total-pagar-ticket"></td>';  
        fila +=  '</tr>';

        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>';
        if('<?php echo $datosTicket['efectivo']?>'>0){ 
        fila += '<td class="total-ticket">Efectivo:</td>';  
        fila += '<td class="total-pagar-ticket">$ <?php echo $datosTicket['efectivo']?></td>';
        }  
        fila +=  '</tr>';
        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>';
        
        if('<?php echo $datosTicket['tarjeta']?>'>0){  
        fila += '<td class="total-ticket">Tarjeta:</td>';  
        fila += '<td class="total-pagar-ticket">$ <?php echo $datosTicket['tarjeta']?></td>'; 
        } 
        fila +=  '</tr>';

        fila += '</table>';       
        fila +=  '</tbody>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="atendio">Atendio: <?php echo $datosTicket['atendio']?></div>';
        fila +=  '<tr>';

        var ventana = window.open();
        var contenido= fila;
        ventana.document.write('<html><head><title>Ticket de Pago_<?php echo $datosTicket['folioVenta']?></title>');
        ventana.document.write('<link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">'); //Aquí agregué la hoja de estilos
        ventana.document.write('<link rel="stylesheet" href="<?php echo base_url();?>assets/bootstrap/css/bootstrap.css">');
        ventana.document.write('<body>');
        ventana.document.write('<div class="ticket-1">');
        ventana.document.write(contenido);
          ventana.document.write('<div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
        ventana.document.write('<div class="link-model">https://www.modelartspa.com</div>');
        ventana.document.write('<div class="agrdecimiento-model">¡GRACIAS POR SU VISITA!</div>');
         // if ('<?php echo $datosFranquiciaTicket->IdFranquicias?>'==33) { //Franquicias Corporativo
         //        ventana.document.write('<div class="agrdecimiento-model">Comprobante emitido conforme a la Regla 2.7.1.24 de RMF y Para los efectos de los artículos 29 y 29-A, fracción IV, segundo párrafo del CFF y 39 del Reglamento del CFF</div>');
         //        }
        ventana.document.write('<div class="pertenece-a">Original</div>');
        ventana.document.write('<hr class="fin-ticket">');
        ventana.document.write('</div>');             
        ventana.document.write(contenido);
        ventana.document.write('<div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
        ventana.document.write('<div class="link-model">https://www.modelartspa.com</div>');
        ventana.document.write('<div class="agrdecimiento-model">¡GRACIAS POR SU VISITA!</div>');
         // if ('<?php echo $datosFranquiciaTicket->IdFranquicias?>'==33) { //Franquicias Corporativo
         //        ventana.document.write('<div class="agrdecimiento-model">Comprobante emitido conforme a la Regla 2.7.1.24 de RMF y Para los efectos de los artículos 29 y 29-A, fracción IV, segundo párrafo del CFF y 39 del Reglamento del CFF</div>');
         //        }
        ventana.document.write('<div class="pertenece-a">Copia para el cliente</div>');
        ventana.document.write('<hr class="fin-ticket">');
        ventana.document.write('</div>');
        ventana.document.write('</body></html>');
        ventana.document.close();

        ventana.focus();

        ventana.onload = function() {
          ventana.print();

          ventana.close();

          setTimeout(function () { window.print(); }, 500);
        
          ventana.onafterprint = function(){
            console.log("Printing completed...");
            location.href ="<?php echo base_url();?>pagos/franquiciatario/PagosF";
            
          
            }

                  (function() {

              var beforePrint = function() {
                  console.log('Functionality to run before printing.');
              };

              var afterPrint = function() {
                  console.log('Functionality to run after printing');
              };

              if (window.matchMedia) {
                  var mediaQueryList = window.matchMedia('print');
                  mediaQueryList.addListener(function(mql) {
                      if (mql.matches) {
                          beforePrint();
                      } else {
                          afterPrint();
                      }
                  });
              }

      window.onbeforeprint = beforePrint;
      window.onafterprint = afterPrint;

        }());
        }
  }
</script>